package com.jsowell.common.util.sim;

import java.math.BigDecimal;
import java.text.DecimalFormat;

/**
 * sim卡相关工具类
 *
 * @author JS-ZZA
 * @date 2022/12/7 10:25
 */
public class SimCardUtils {

	/**
	 * 将KB转为对应的MB或GB
	 *
	 * @param size 需进行转化的值(KB)
	 * @return 转换后的值，自带单位
	 */
	public static String kb2MbOrGb(int size) {
		int GB = 1024 * 1024; // 定义GB的计算常量
		int MB = 1024; // 定义MB的计算常量
		DecimalFormat df = new DecimalFormat("0.00");//格式化小数
		String resultSize = "";
		if (size / GB >= 1) {
			//如果当前Byte的值大于等于1GB
			resultSize = df.format(size / (float) GB);
		} else if (size / MB >= 1) {
			//如果当前Byte的值大于等于1MB
			resultSize = df.format(size / (float) MB);
		} else {
			resultSize = String.valueOf(size);
		}
		return resultSize;
	}

	public static void main(String[] args) {
		int a = 13320;
		String str = "11874.95";
		BigDecimal bigDecimal = new BigDecimal(str);
		System.out.println(kb2MbOrGb(bigDecimal.intValue()));
	}
}
